Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.query
Class BlurQuery

    java.lang.Object
      org.crosswire.jsword.index.query.AbstractBinaryQuery
          org.crosswire.jsword.index.query.BlurQuery

All Implemented Interfaces:
  Query

    public class BlurQuery

extends AbstractBinaryQuery

A blur query specifies how much to blur the results of the right query before ANDing it to the left.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private int` | `factor`

Constructor Summary
`BlurQuery(Query theLeftQuery, Query theRightQuery, int theFactor)` Create a query that specifies how much to blur the results of the right query before ANDing it to the left.

Method Summary
`Key` | `find(Index index)`
`int` | `getFactor()`

Methods inherited from class org.crosswire.jsword.index.query.AbstractBinaryQuery
`getLeftQuery, getRightQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factor

    private int factor

Constructor Detail

### BlurQuery

    public BlurQuery(Query theLeftQuery,
                     Query theRightQuery,
                     int theFactor)

  Create a query that specifies how much to blur the results of the right query before ANDing it to the left.

  Parameters:
    `theLeftQuery` -
    `theRightQuery` -

Method Detail

### find

    public Key find(Index index)
             throws BookException

  Throws:
    `BookException`

### getFactor

    public int getFactor()

  Returns:
    the blur factor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD